# PCShellGetContext

Returns the user-provided context associated with a shell PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellGetContext(PC pc,void **ctx)

Not Collective

### Input Parameter

pc -should have been created with PCCreateShell()

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell routines

### Keywords

PC, shell, get, context

### See Also

PCCreateShell(), PCShellSetContext()

Level:advanced
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages